Skip to main content
POST
Edit a Data Studio app with operations

Authorizations

Authorization
string
header
required

Company secret API key.

Path Parameters

id
string<ObjectId>
required

Body

application/json
baseVersion
number
required

Current version of the app. A stale version answers 409, read the app again.

Required range: x >= 1
operations
object[]
required

Operations applied all or nothing, each an object with "op" (addNode, removeNode, moveNode, updateProps, changeType, rebindData, setInteractions, addParam, updateParam, removeParam, addQuery, updateQuery, removeQuery, setTitle, upsertRequirement, removeRequirement, setAssumptions, insertSubtree).

Maximum array length: 40

Response

New version, summary and issues